
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: mkinitrd: enable ARM build

Make mkinitrd build on ARM by not requiring ppoll() on ARM.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/mkinitrd.spec
===================================================================
--- SPECS.orig/mkinitrd.spec
+++ SPECS/mkinitrd.spec
@@ -3,7 +3,7 @@
 Summary: Creates an initial ramdisk image for preloading modules.
 Name: mkinitrd
 Version: 6.0.19
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 License: GPL
 Group: System Environment/Base
 Source0: mkinitrd-%{version}.tar.bz2
@@ -32,6 +32,7 @@ BuildRoot: %{_tmppath}/%{name}-root
 Patch0: mkinitrd-ldso.patch
 Patch1: mkinitrd-forceide.patch
 Patch2: mkinitrd-dmdeps.patch
+Patch3: mkinitrd-arm-ppoll.patch
 
 %description
 mkinitrd creates filesystem images for use as initial ram filesystem
@@ -73,6 +74,7 @@ nash shell used by initrd
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
+%patch3 -p1
 
 %build
 make LIB=%{_lib}
